gwmi -list | where {$_.__class -match "Win32"} | 
    select @{n='WmiName';e={$_.name}} , 
           @{n='Properties';e={$_.psbase.properties}} | 
    select WmiName -expand Properties | 
    format-table Name,Type -groupby WmiName
